<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Kontribusi Intelektual</title>
    <style type="text/css">
        .table-scroll {
            position:relative;
            width:1500px;
            margin:auto;
            overflow:hidden;
            border:1px solid #000;
        }

        @media screen and (min-width: 1184px){
            .table-scroll{
                width: 850px;
            }
        }

        @media screen and (min-width: 1250px){
            .table-scroll{
                width: 850px;
            }
        }

        @media screen and (min-width: 1253px){
            .table-scroll{
                width: 900px;
            }
        }

        @media screen and (min-width: 1366px){
            .table-scroll{
                width: 990px;
            }
        }

        @media screen and (min-width: 1383px){
            .table-scroll{
                width: 1020px;
            }
        }

        @media screen and (min-width: 1488px){
            .table-scroll{
                width: 1150px;
            }
        }

        @media screen and (min-width: 1581px){
            .table-scroll{
                width: 1220px;
            }
        }

        @media screen and (min-width: 1680px){
            .table-scroll{
                width: 1320px;
            }
        }

        @media screen and (min-width: 1768px){
            .table-scroll{
                width: 1420px;
            }
        }

        @media screen and (min-width: 1853px){
            .table-scroll{
                width: 1460px;
            }
        }

        @media screen and (min-width: 1946px){
            .table-scroll{
                width: 1550px;
            }
        }

        @media screen and (min-width: 2030px){
            .table-scroll{
                width: 1590px;
            }
        }







        .table-wrap {
            width:100%;
            overflow:auto;
        }
        .table-scroll table {
            width:100%;
            margin:auto;
            border-collapse:separate;
            border-spacing:0;
        }
        .table-scroll th, .table-scroll td {
            padding:5px 10px;
            border:1px solid #000;
            background:#fff;
            white-space:nowrap;
            vertical-align:top;
        }
        .table-scroll thead, .table-scroll tfoot {
            background:#f9f9f9;
        }
        .clone {
            position:absolute;
            top:0;
            left:0;
            pointer-events:none;
        }
        .clone th, .clone td {
            visibility:hidden
        }
        .clone td, .clone th {
            border-color:transparent
        }
        .clone tbody th {
            visibility:visible;
        }
        .clone .fixed-side {
            border:1px solid #000;
            background:#eee;
            visibility:visible;
        }

        .clone thead, .clone tfoot{background:transparent;}
    </style>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script>
        // requires jquery library
        jQuery(document).ready(function() {
            jQuery(".main-table").clone(true).appendTo('#table-scroll').addClass('clone');
        });
    </script>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">3. Profil Dosen Berdasarkan Kontribusi Intelektual</h4>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <div class="row">
                        <div class="col-md-6">
                            <h5><b th:text="${namaProdi.namaProdi + ' (Tahun Akreditasi : ' + tahun + ')'}"></b></h5>
                        </div>
                        <div class="col-md-6" style="text-align: right;">
                            <a th:href="@{/sdm/kontribusi/add(prodi = ${namaProdi.id}, tahun = ${tahun})}" class="btn btn-primary btn-sm">Tambah Data</a>
                            <a th:href="@{/akreditasi(prodi = ${namaProdi.id}, tahun = ${tahun})}" class="btn btn-warning btn-sm">Kembali</a>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12" th:if="${success != null}">
                            <div class="alert alert-info alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di simpan.</strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${delete != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di hapus.</strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div id="table-scroll" class="table-scroll">
                        <div class="table-wrap">
                            <table class="main-table">
                                <thead>
                                <tr>
                                    <th rowspan="3" class="fixed-side">No</th>
                                    <th rowspan="3" class="fixed-side" style="text-align: center; vertical-align: center;">Nama Dosen</th>
                                    <th rowspan="1" colspan="13" style="text-align: center;">Pendidikan dan Pengajaran</th>
                                    <th rowspan="1" colspan="4" style="text-align: center;">Praktik dan Profesional</th>
                                    <th rowspan="1" colspan="4" style="text-align: center;">Penelitian</th>
                                    <th rowspan="1" colspan="3" style="text-align: center;">Kontribusi Sosial Masyarakat</th>
                                </tr>
                                <tr>
                                    <th rowspan="2">Mata Kuliah yang Diampu pada PS yang Diakreditasi</th>
                                    <th rowspan="2">Mata Kuliah yang Diampu pada PS Lain</th>
                                    <th rowspan="2">Judul Bahan Ajar yang dihasilkan</th>
                                    <th colspan="4">Jumlah Mahasiswa yang Dibimbing pada PS yang Diakreditasi</th>
                                    <th colspan="4">Jumlah Mahasiswa yang Dibimbing pada PS Lain di PT</th>
                                    <th rowspan="2" style="word-wrap:break-word; white-space: pre-wrap;">Rata-rata Jumlah Bimbingan di semua Program/ Semester</th>
                                    <th rowspan="2" style="word-wrap:break-word; white-space: pre-wrap;">Rekognisi Bidang Pendidikan dan Pengajaran</th>

                                    <th rowspan="2">Nama Produk/Jasa</th>
                                    <th rowspan="2">Deskripsi Produk/Jasa</th>
                                    <th rowspan="2"> Keterlibatan Organisasi diluar PS</th>
                                    <th rowspan="2"> Rekognisi Bidang Praktik dan Profesional</th>

                                    <th rowspan="2">Judul Artikel yang Disitasi (Jurnal, Volume, Tahun, Nomor, Halaman)</th>
                                    <th rowspan="2">Jumlah Sitasi</th>
                                    <th rowspan="2">Google Scholar ID</th>
                                    <th rowspan="2">Rekognisi Bidang Penelitian</th>

                                    <th rowspan="2">Kegiatan PkM Mandiri</th>
                                    <th rowspan="2">Organisasi diluar PS</th>
                                    <th rowspan="2">Rekognisi Bidang PkM</th>
                                </tr>
                                <tr>
                                    <th>TS-2</th>
                                    <th>TS-1</th>
                                    <th>TS</th>
                                    <th>Rata-rata</th>

                                    <th>TS-2</th>
                                    <th>TS-1</th>
                                    <th>TS</th>
                                    <th>Rata-rata</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <th style="text-align: center;" class="fixed-side">0</th>
                                    <td style="text-align: center;" class="fixed-side">1</td>
                                    <td style="text-align: center;">2</td>
                                    <td style="text-align: center;">3</td>
                                    <td style="text-align: center;">4</td>
                                    <td style="text-align: center;">5</td>
                                    <td style="text-align: center;">6</td>
                                    <td style="text-align: center;">7</td>
                                    <td style="text-align: center;">8</td>
                                    <td style="text-align: center;">9</td>
                                    <td style="text-align: center;">10</td>
                                    <td style="text-align: center;">11</td>
                                    <td style="text-align: center;">12</td>
                                    <td style="text-align: center;">13</td>
                                    <td style="text-align: center;">14</td>
                                    <td style="text-align: center;">15</td>
                                    <td style="text-align: center;">16</td>
                                    <td style="text-align: center;">17</td>
                                    <td style="text-align: center;">18</td>
                                    <td style="text-align: center;">19</td>
                                    <td style="text-align: center;">20</td>
                                    <td style="text-align: center;">21</td>
                                    <td style="text-align: center;">22</td>
                                    <td style="text-align: center;">23</td>
                                    <td style="text-align: center;">24</td>
                                    <td style="text-align: center;">25</td>
                                </tr>
                                <tr th:each="data, row:${list}">
                                    <th class="fixed-side" th:text="${(row.index + 1)}">1</th>
                                    <td class="fixed-side"><b th:text="${data.dosen.nama}">Dr. Achmad Firdaus, M.Si.</b></td>
                                    <td style="word-wrap:break-word; white-space: pre-wrap;" th:text="${data.matakuliahAkreditasi}">Manajemen Strategik, Manajemen operasi</td>
                                    <td th:text="${data.matakuliahTidakAkreditasi}"></td>
                                    <td th:text="${data.judulBahanAjar}" style="word-wrap:break-word; white-space: pre-wrap;">Buku Maslahah Performa Maslahah Performa (MaP) Sistem Kinerja untuk Mewujudkan Organisasi Berkemaslahatan</td>
                                    <td th:text="${data.tsDuaAkreditasi}" style="word-wrap:break-word; white-space: pre-wrap;">lorem</td>
                                    <td th:text="${data.tsSatuAkreditasi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.tsAkreditasi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.rataAkreditasi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.tsDuaPt}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.tsSatuPt}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.tsPt}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.rataPt}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.rataJumlah}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.rekognisi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.praktikNamaProduk}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.praktikDeskripsi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.praktikKeterlibatan}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.praktikRekognisi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.penelitianJudulArtikel}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.penelitianJumlahSitasi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.urlGoogleScholar}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.penelitianRekognisi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.kontribusiKegiatan}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.kontribusiOrganisasi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                    <td th:text="${data.kontribusiRekognisi}" style="word-wrap:break-word; white-space: pre-wrap;"></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</main>
</body>

</html>